Javac12 (Apache Ant API)
Date: 2016-04-24

org.apache.tools.ant.taskdefs.compilers

## Class Javac12

- java.lang.Object
- - org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
  - - org.apache.tools.ant.taskdefs.compilers.Javac12

- All Implemented Interfaces:
    CompilerAdapter, CompilerAdapterExtension

  Deprecated.
  Use `Javac13` instead.

      public class Javac12
      extends DefaultCompilerAdapter

  The implementation of the javac compiler for JDK 1.2 This is primarily a cut-and-paste from the original javac task before it was refactored.
  Since:
    Ant 1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `CLASSIC_COMPILER_CLASSNAME` Deprecated.

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

      `attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, src, target, upgrademodulepath, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Javac12()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()` Deprecated. Run the compilation.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

      `addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASSIC_COMPILER_CLASSNAME

          protected static final java.lang.String CLASSIC_COMPILER_CLASSNAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Javac12

          public Javac12()

      Deprecated.

  - ### Method Detail

    - #### execute

          public boolean execute()
                          throws BuildException

      Deprecated.
      Run the compilation.
      Returns:
        true if the compiler ran with a zero exit result (ok)
      Throws:
        `BuildException` - if the compilation has problems.